function map = convert2float(map,RANGE)
% convert2float - convert feature map (a cell array) from uint8 into float.

if iscell(map)
    for i = 1:numel(map)
        map{i} = single( RANGE(2) - RANGE(1) ) * (single(map{i}) / 256.0) + RANGE(1);
    end
else
    map = single( RANGE(2) - RANGE(1) ) * (single(map) / 256.0) + RANGE(1);
end
